"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HubtypeBabelApiService = void 0;
const tslib_1 = require("tslib");
const axios_1 = tslib_1.__importDefault(require("axios"));
class HubtypeBabelApiService {
    constructor(projectId) {
        this.projectId = projectId;
        this.host = process.env.HUBTYPE_API_URL || 'https://api.hubtype.com';
    }
    inference(text, accessToken, includeHasSense) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            return yield (0, axios_1.default)({
                method: 'POST',
                url: `${this.host}/v1/babel/projects/${this.projectId}/inference/`,
                headers: {
                    Authorization: `Bearer ${accessToken}`,
                    'Content-Type': 'application/json',
                },
                data: { text, include_has_sense: includeHasSense },
            });
        });
    }
}
exports.HubtypeBabelApiService = HubtypeBabelApiService;
//# sourceMappingURL=hubtype-babel-api-service.js.map